package com.yonge.cooleshow.biz.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yonge.cooleshow.biz.dal.entity.SysManual;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * (SysManual)表数据库访问层
 *
 * @author makejava
 * @since 2021-12-20 17:22:42
 */
public interface SysManualDao extends BaseMapper<SysManual> {

    int insertBatch(@Param("entities") List<SysManual> entities);

    int findRecordCount(Map<String, Object> params);

    List<SysManual> queryRecord(Map<String, Object> params);

    List<String> listMenuIds();
}

